#ifndef VSMT_BASE_H
#define VSMT_BASE_H

#include "vsm_thread.h"
class VSMT_Base : public VSM_Thread
{
public:
    VSMT_Base(int iID,const QString& sName);
    virtual void SM_Home(int iStep,bool bSingle);
    void do_Msg(const V_Msg& msg) override;
    virtual void SM_HomeAll(int iStep);
	void run() override;

    bool IsSemiPaused();
    bool IsAutoPasued();
    bool IsSemiRunning();
    bool IsCanDoSemi();
    bool IsCanDoManual();
};

#endif // VSMT_BASE_H
